### Constructor

# Foundry GirNode new

#### Declaration [src]

    FoundryGirNode*
    foundry_gir_node_new (
      FoundryGirNodeType type,
      const char* tag_name
    )

#### Description

No description available.

#### Parameters

`type`

  Type: `FoundryGirNodeType`

  No description available.

`tag_name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FoundryGirNode`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.